Skip to main content
POST
/
v2
/
updates
/
update-by-offset
/v2/updates/update-by-offset
curl --request POST \
  --url https://api.example.com/v2/updates/update-by-offset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "offset": 123,
  "updateFormat": {
    "includeReassignments": {
      "filtersByParty": {},
      "filtersForAnyParty": {
        "cumulative": [
          {
            "identifierFilter": {
              "Empty": {}
            }
          }
        ]
      },
      "verbose": true
    },
    "includeTopologyEvents": {
      "includeParticipantAuthorizationEvents": {
        "parties": [
          "<string>"
        ]
      }
    }
  }
}
'
{
  "update": {
    "OffsetCheckpoint": {
      "value": {
        "offset": 123,
        "synchronizerTimes": [
          {
            "synchronizerId": "<string>",
            "recordTime": "<string>"
          }
        ]
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json
offset
integer<int64>
required

The offset of the update being looked up. Must be a valid absolute offset (positive integer).

Required

updateFormat
UpdateFormat · object
required

The format for the update.

Required

Response

update
Update · object